---
name: Code Submission to Public Analysis Database
about: Have a recast implementation and you want it to be public? Let us know!
title: ''
labels: PAD
assignees: ''

---

Scientific reproducibility and data preservation solely depend on preserving analysis logic in a reinterpretable form. You can contribute to the HEP community by sharing the LHC recast you have implemented in the MadAnalysis 5 framework, through [Public Analysis Database (PAD)](http://madanalysis.irmp.ucl.ac.be/wiki/PublicAnalysisDatabase)! Please send us your analysis code, detector card, info file and validation note to be included in PAD for public use.

More information and examples can be found in the proceedings of [the second MadAnalysis 5 Workshop on LHC recasting in Korea](https://doi.org/10.1142/S0217732321020016). Analysis codes have been published, documented and got a DOI so that they can now be cited.

**System Settings:**
 - OS: [e.g. macOS v12.1]
 - Python version
 - gcc/c++ version
 - MadAnalysis 5 version
 - If applicable, versions for other third party software i.e. Fastjet, Delphes, pyhf etc.

**Please make sure you provide the following codes**
- [ ] Analysis file with `.cpp` extension.
- [ ] Header file with `.h` extension.
- [ ] Info file with `.info` extension.
- [ ] Detector card with `.ma5` extension for [SFS](http://arxiv.org/abs/2006.09387) or `.tcl` extension for Delphes.
- [ ] Validation note. Recommendations regarding the proper validation are given in [arXiv:1407.3278](https://arxiv.org/abs/1407.3278) and ​[arXiv:1808.00480](https://arxiv.org/abs/1407.3278). Note that for every analysis that is part of the PAD, a detailed validation note is required.
